ssh key fix, consistent help args
[automated-distro-installer] / arch-init-remote
index 6e460a5f0b15cc26f383b3c36bca8ebadd4d0ef3..76e2cf236b074f0b11685c30015039aff8adb922 100755 (executable)
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 
+set -x
+
+set -eE -o pipefail
+trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
+
 usage() {
     cat <<EOF
-Usage: ${0##*/} HOSTNAME
+Usage: ${0##*/} [-h|--help] HOSTNAME
+install arch after it's been booted into it's setup env
 EOF
     exit $1
 }
-
-set -x
-
-set -eE -o pipefail
-trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
+case $1 in
+    -h|--help) usage ;;
+esac
 
 if [[ ! $1 ]]; then
     echo "error: expect a hostname in \$1 "